## gnome-sharp2 2.24.1-6maemo2

=== debian/gnome-sharp2-examples/usr/share/gnome-sharp2-examples/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# sample/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/gnome-sharp
pkglibdir = $(libdir)/gnome-sharp
pkgincludedir = $(includedir)/gnome-sharp
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
subdir = sample
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SCRIPTS = $(noinst_SCRIPTS)
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/missing --run aclocal-1.10
AL = /usr/bin/al
AMTAR = ${SHELL} /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/missing --run tar
API_VERSION = 2.24.0.0
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/missing --run autoconf
AUTOHEADER = ${SHELL} /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/missing --run autoheader
AUTOMAKE = ${SHELL} /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/missing --run automake-1.10
AWK = gawk
BUILD_EXEEXT = 
BUILD_GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
BUILD_GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -g -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -Wstrict-prototypes  -Wmissing-prototypes -Wnested-externs  -Wshadow -Wpointer-arith -Wno-cast-qual -Wcast-align -Wwrite-strings
CPP = gcc -E
CPPFLAGS = 
CSC = /usr/bin/mono-csc
CSFLAGS =  -define:GTK_SHARP_2_6 -define:GTK_SHARP_2_8 -define:GNOME_SHARP_2_16 -define:GNOME_SHARP_2_20 -define:GNOME_SHARP_2_24
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GACUTIL = /usr/bin/gacutil
GACUTIL_FLAGS = /package $(PACKAGE_VERSION) /gacdir $(DESTDIR)$(prefix)/lib
GAPI_CFLAGS =  
GAPI_CODEGEN = /usr/bin/gapi2-codegen
GAPI_FIXUP = /usr/bin/gapi2-fixup
GAPI_LIBS =  
GAPI_PARSER = /usr/bin/gapi2-parser
GENERATED_SOURCES = generated/*.cs
GLADESHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glade-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLADESHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/cli/glade-sharp-2.0/glade-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/pango-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/atk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/gdk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/glib-sharp-2.0/glib-sharp.dll  
GNOMEVFS_CFLAGS = 
GNOMEVFS_LIBS = 
GNOME_CFLAGS = 
GNOME_LIBS = 
GREP = /scratchbox/tools/bin/grep
GTKSHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GTKSHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/cli/pango-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/atk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/gdk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/cli/glib-sharp-2.0/glib-sharp.dll  
GTK_SHARP_VERSION_CFLAGS = -DGTK_SHARP_2_6 -DGTK_SHARP_2_8 -DGNOME_SHARP_2_16 -DGNOME_SHARP_2_20 -DGNOME_SHARP_2_24
HOST_CC = 
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
LIBART_CFLAGS = 
LIBART_LIBS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_PREFIX = .so
LIB_SUFFIX = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MONO_CAIRO_CFLAGS =  
MONO_CAIRO_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/2.0/Mono.Cairo.dll  
MONO_DEPENDENCY_CFLAGS =  
MONO_DEPENDENCY_LIBS =  
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gnome-sharp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = gtk-sharp-2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
POLICY_VERSIONS = 2.4 2.6 2.8 2.16 2.20
RANLIB = ranlib
RUNTIME = mono
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.24.1
abs_builddir = /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/sample
abs_srcdir = /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/sample
abs_top_builddir = /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1
abs_top_srcdir = /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/keks/gnome/gnome-sharp/gnome-sharp-2.24.1/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = gconf gnomevfs 
GNOME_TARGETS = 
#GNOME_TARGETS = gnome-hello-world.exe canvas-example.exe fifteen.exe
GNOME_ASSEMBLY = 
#GNOME_ASSEMBLY = ../art/art-sharp.dll ../gnome/gnome-sharp.dll
GNOMEVFS_TARGETS = 
#GNOMEVFS_TARGETS = testvfs.exe
GNOMEVFS_ASSEMBLY = 
#GNOMEVFS_ASSEMBLY = ../gnomevfs/gnome-vfs-sharp.dll
TARGETS = $(GNOMEVFS_TARGETS) $(GNOME_TARGETS)
DEBUGS = $(addsuffix .mdb, $(TARGETS))
assemblies = $(GNOMEVFS_ASSEMBLY) $(GNOME_ASSEMBLY)
references = $(GTKSHARP_LIBS) $(addprefix /r:, $(assemblies))
noinst_SCRIPTS = $(TARGETS)
CLEANFILES = $(TARGETS) $(DEBUGS)
EXTRA_DIST = \
	GnomeHelloWorld.cs		\
	CanvasExample.cs		\
	Fifteen.cs			\
	TestVfs.cs

all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  sample/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  sample/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \

## gnome-sharp2 2.24.1-6maemo1

=== debian/changelog ===
gnome-sharp2 (2.24.1-6maemo1) fremantle; urgency=low

  * Initial release for Maemo 5. Hacked library dependencies. Hardcoded
    Mono.GetOptions.dll to be disabled.

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 16:05:35 +0400

gnome-sharp2 (2.24.1-6) unstable; urgency=low

  * debian/control:
    + Add explicit Depends lines to libgnome2.0-cil-dev pointing to -dev
      packages which gnome-sharp-2.0.pc has Requires: lines for

 -- Jo Shields <directhex@apebox.org>  Thu, 07 Jan 2010 09:41:43 +0000

gnome-sharp2 (2.24.1-5) unstable; urgency=low

  [ Jo Shields ]
  * debian/control:
    + Bump to Standards 3.8.3
    + Switch mono-devel and *-cil build-dependencies for mono -dev transition
    + Add missing build-depend on libglib2.0-cil-dev
  * debian/control,
    debian/lib*.install:
    + Create unversioned -dev packages containing pkg-config files, GAPI
      files, and generic tools in some cases
  * debian/rules,
    debian/libgnome-cil-dev.install:
    + Don't rename pcfile. Leave it as-is, as the "unversioned" name for
      the gnome-sharp-2.0 package. Yes yes, I know, it'd be nice if upstream
      could be consistent over ABI versions, but there you go.
  * debian/rules:
    + Use mono-csc as compiler command

  [ Mirco Bauer ]
  * debian/lib*-cil-dev.install
    debian/control:
    + Renamed the -cil-dev packages so they contain the API version, as the
      pkg-config files are versioned too.
      (no Replaces/Conflicts added as -2 never hit the archive!)
  * debian/control:
    + Let gnome-sharp2 meta package depend on the same source version for
      simple and reliable upgrades.

  [ Christopher James Halse Rogers ]
  * debian/ltmain-add-as-needed.patch:
    + Add --as-needed magic to ltmain.sh
  * debian/rules:
    + Apply ltmain-add-as-needed.patch after running autoreconf.  This should
      be more robust than copying a patched ltmain.sh from debian/ as ltmain.sh
      is required to be versioned in lock-step with the rest of libtool.      
  * debian/README.source:
    + Add dpatch README.source; we might as well comply with policy here.
      One less lintian warning!

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 04 Jan 2010 17:01:14 +1100

gnome-sharp2 (2.24.1-4) unstable; urgency=low

  [ Iain Lane ]
  * debian/libgnome2.24-cil.install,
    debian/libgnome2.24-cil.installcligac,
    debian/patches/02_fix_pkg-config_paths.dpatch:
    + Install gconf-sharp-peditors to /usr/lib/cli/gconf-sharp-peditors-2.24
      per policy. Fix broken pc file too.

  [ Mirco Bauer ]
  * debian/*.install
    debian/*.installcligac:
    + Switched to /usr/lib/cli/$ASSEMBLY-$ABI/ directory layout, to make the
      ABI versioning of the assemblies more clear.
  * debian/rules:
    + Replaced full re-autogen with autoreconf, that should be more than
      enough.
    + Put patched ltmain.sh in place for --as-needed magic.
    + Don't build binary-indep packages if the binary-arch target was
      called. (Closes: #521399)

 -- Mirco Bauer <meebey@debian.org>  Sun, 19 Apr 2009 16:57:00 +0200

gnome-sharp2 (2.24.1-3) unstable; urgency=low

  * debian/rules:
    + Only call dh_makeclilibs on arch:all packages in binary-indep target 
      and on arch:any packages in binary-arch target.
    + Added hack that makes sure the clilibs of the arch:all packages are
      always generated as the arch:any packages rely on that for
      inner-dependencies between the packages. This caused missing binary
      dependencies on non-i386 (my arch) because I built binary-indep and
      binary-arch unlike the buildds. (Closes: #520966)

 -- Mirco Bauer <meebey@debian.org>  Wed, 25 Mar 2009 01:01:43 +0100

gnome-sharp2 (2.24.1-2) unstable; urgency=low

  * Upload to unstable
  * debian/*.install
    debian/*.installcligac:
    + Use late-GAC install now for all libraries as per Debian CLI Policy and
      with that the new locations (/usr/lib/cli instead of /usr/lib/mono).
      This allows us to install multiple versions of a library at the same
      time when an ABI bump was done, which happened with libgnome2.0-cil ->
      libgnome2.24-cil. This also makes a very smooth transition possible.
  * debian/control:
    + Use multiple lines for build-deps.
    + Removed conflicts libgnome2.0-cil from libgnome2.24-cil as they have
      different assembly versions and are parallel installable now.
    + Bumped Standards-Version to 3.8.1 (no changes needed)
    + Bumped debhelper build-dep to >= 7.
    + Added libtool, autoconf, and automake to build-deps.
  * debian/compat:
    + Bumped to 7
  * debian/patches/00list:
    + Disabled 99_ltmain_as-needed as it has no influence to the binary deps
      and caused issues withthe re-autogen in debian/rules.
  * debian/MAINTAINERS:
    + Removed (thats what control is for)

 -- Mirco Bauer <meebey@debian.org>  Sat, 21 Mar 2009 15:08:16 +0100

gnome-sharp2 (2.24.1-1) experimental; urgency=low

  * New upstream release:
    + debian/control,
      debian/*.install:
      - All libraries except gnome-sharp were versioned back to
        2.0 as upstream added policy assemblies again for the older
        versions and their API didn't really change. gnome-sharp
        is still in libgnome2.24-cil and has no policy assemblies
        as the API has changed.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 15:01:46 +0100

gnome-sharp2 (2.24.0-3) experimental; urgency=low

  * debian/control:
    + Let the gnome-sharp2 metapackage depend on the new package versions.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Jan 2009 21:43:02 +0100

gnome-sharp2 (2.24.0-2) experimental; urgency=low

  [ Steve Langasek ]
  * debian/rules: pass CSC=/usr/bin/csc to configure, for the mono 2.0
    transition.
  * debian/control: update the build-dependencies for mono 2.0.
  * debian/control: add conflicts/replaces on the old package names, since
    there are file overlaps between them.

  [ Sebastian Dröge ]
  * Upload to experimental.



=== debian/control ===
Source: gnome-sharp2
Section: libs
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 7),
 cli-common-dev (>= 0.4.6),
 dpatch,
 libtool,
 autoconf,
 automake,
 mono-devel (>= 2.4.3),
 libmono-2.0-dev (>= 1.0),
 pkg-config,
 libgtk2.0-dev (>= 2.13.0),
 libglib2.0-dev (>= 2.12.0),
 libgtk2.0-cil-dev (>= 2.12.2),
 libglib2.0-cil-dev (>= 2.12.2),
 libglade2.0-cil-dev (>= 2.12.2),
 gtk-sharp2-gapi (>= 2.12.6),
 libosso-gnomevfs2-dev,
 libgnomeui-dev,
 libgnomecanvas2-dev,
 libart-2.0-dev, mono-scratchbox
Standards-Version: 3.8.3
Homepage: http://www.mono-project.com/GtkSharp
Vcs-Svn: svn://svn.debian.org/pkg-cli-libs/packages/gnome-sharp2/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cli-libs/packages/gnome-sharp2/trunk/

Package: gnome-sharp2
Architecture: all
Depends: gnome-sharp2-examples (= ${source:Version}),
 libart2.0-cil-dev (= ${source:Version}),
 libgconf2.0-cil-dev (= ${source:Version}),
 libgnome2.0-cil-dev (= ${source:Version}),
 libgnome-vfs2.0-cil-dev (= ${source:Version})
Description: GNOME# 2.24 suite, CLI bindings for GNOME
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform
 libraries.
 .
 gnome-sharp2 is a metapackage containing dependencies for the GNOME# 2.24
 suite.

Package: libart2.0-cil
Architecture: all
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Conflicts: libart2.24-cil
Replaces: gtk-sharp2-gapi (<< 2.10.0-1), libgnome2.0-cil (<< 2.16.0-4), libart2.24-cil
Description: CLI binding for libart 2.3
 This package provides the art-sharp assembly that allows CLI (.NET) programs
 to use the libart library 2.3.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.20 platform 
 libraries.
 .
 This package contains the art-sharp assembly itself.

Package: libart2.0-cil-dev
Architecture: all
Depends: libart2.0-cil (= ${binary:Version}), ${misc:Depends}
Replaces: libart2.24-cil, libart2.0-cil (<< 2.24.1-5)
Description: CLI binding for libart 2.3
 This package provides the art-sharp assembly that allows CLI (.NET) programs
 to use the libart library 2.3.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.20 platform 
 libraries.
 .
 This package contains development files for the art-sharp library, and should
 be used for compilation

Package: libgconf2.0-cil
Architecture: all
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Conflicts: libgconf2.24-cil
Replaces: libgnome2.0-cil (<< 2.16.0-6), libgconf2.24-cil
Description: CLI binding for GConf 2.24
 This package provides the gconf-sharp and gconf-sharp-peditors assemblies that
 allow CLI (.NET) programs to use the GConf configuration storage system 2.20.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform 
 libraries.
 .
 This package contains the gconf-sharp assembly itself.

Package: libgconf2.0-cil-dev
Architecture: all
Depends: libgconf2.0-cil, ${misc:Depends}, ${cli:Depends}
Replaces: libgconf2.24-cil, libgconf2.0-cil (<< 2.24.1-5)
Description: CLI binding for GConf 2.24
 This package provides the gconf-sharp and gconf-sharp-peditors assemblies that
 allow CLI (.NET) programs to use the GConf configuration storage system 2.20.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform 
 libraries.
 .
 This package contains development files for the gconf-sharp library, and 
 should  be used for compilation

Package: libgnome2.24-cil
Architecture: any
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Replaces: gtk-sharp2-gapi (<< 2.10.0-1), libgconf2.0-cil (<< 2.16.1), libgnome2.0-cil
Description: CLI binding for GNOME 2.24
 This package provides the gnome-sharp assembly that allows CLI (.NET) programs
 to use the GNOME and GNOME UI libraries 2.24.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform 
 libraries
 .
 This package contains the gnome-sharp assembly itself..

Package: libgnome2.0-cil-dev
Architecture: any
Depends: libgnome2.24-cil (= ${binary:Version}), libgtk2.0-cil-dev, libart2.0-cil-dev (= ${binary:Version}), libgnome-vfs2.0-cil-dev (= ${binary:Version}), ${misc:Depends}
Replaces: libgnome2.0-cil, libgnome2.24-cil (<< 2.24.1-5)
Description: CLI binding for GNOME 2.24
 This package provides the gnome-sharp assembly that allows CLI (.NET) programs
 to use the GNOME and GNOME UI libraries 2.24.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform 
 libraries.
 .
 This package contains development files for the gnome-sharp library, and
 should be used for compilation.

Package: libgnome-vfs2.0-cil
Architecture: all
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Conflicts: libgnome-vfs2.24-cil
Replaces: gtk-sharp2-gapi (<< 2.10.0-1), libgnome2.0-cil (<< 2.16.0-4), libgnome-vfs2.24-cil
Description: CLI binding for GnomeVFS 2.24
 This package provides the gnome-vfs-sharp assembly that allows CLI (.NET)
 programs to use the GnomeVFS library 2.24.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.20 platform 
 libraries.
 .
 This package contains the gnome-vfs-sharp assembly itself.

Package: libgnome-vfs2.0-cil-dev
Architecture: all
Depends: libgnome-vfs2.0-cil (= ${binary:Version}), ${misc:Depends}
Replaces: libgnome-vfs2.24-cil, libgnome-vfs2.0-cil (<< 2.24.1-5)
Description: CLI binding for GnomeVFS 2.24
 This package provides the gnome-vfs-sharp assembly that allows CLI (.NET)
 programs to use the GnomeVFS library 2.24.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.20 platform 
 libraries.
 .
 This package contains development files for the gnome-vfs-sharp library,
 and should be used for compilation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export MONO_SHARED_DIR=$(CURDIR)

include /usr/share/dpatch/dpatch.make

CFLAGS ?= -O2 -Wall -g
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

API_VERSION = 2.24.0

UPVERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2 | sed 's,-.*,,')
NEXT_UPVERSION = $(shell perl -e '$$_=pop; s/(\d+)$$/$$1+1/e; print' $(UPVERSION))

autoreconf: autoreconf-stamp
autoreconf-stamp: patch-stamp
	touch $@

config: config-stamp
config-stamp: autoreconf-stamp
	dh_testdir
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
		--prefix=/usr \
		CSC=/usr/bin/mono-csc
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: config-stamp
	dh_testdir
	$(MAKE)
	touch $@

build-arch: build-arch-stamp
build-arch-stamp: config-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot

	rm -f autoreconf-stamp config-stamp build-indep-stamp build-arch-stamp
	[ ! -f Makefile ] || $(MAKE) distclean 



	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installdirs -i
	dh_link -i
        # HACK: we must install arch dep and indep here!
        # dh_clideps needs the clilibs files of all packages
	dh_install
	install -m755 $(CURDIR)/debian/list-examples $(CURDIR)/debian/gnome-sharp2-examples/usr/bin/gnome-sharp2-examples-list
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installcligac -i
	dh_compress -i
	dh_fixperms -i
	dh_clifixperms -i
	dh_installdeb -i
	# HACK: we must generate clilibs of arch:all and arch:any here!
	# else dh_clideps can't catch up inner source package dependencies
	dh_makeclilibs -m $(API_VERSION)
#	dh_clideps -i -d
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdirs -a
	dh_link -a
        # HACK: we must install arch dep and indep here!
        # dh_clideps needs the clilibs files of all packages
	dh_install
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installcligac -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_clifixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	# HACK: we must generate clilibs of arch:all and arch:any here!
	# else dh_clideps can't catch up inner source package dependencies
	dh_makeclilibs -m $(API_VERSION)
#	dh_clideps -a -d
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

build: build-indep build-arch
binary: binary-indep binary-arch

.PHONY: autoreconf config build-indep build-arch clean install binary-indep binary-arch build binary patch

## gnome-sharp2 2.24.1-6maemo2

=== debian/changelog ===
gnome-sharp2 (2.24.1-6maemo2) fremantle; urgency=low

  * dh_clideps is here again

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 19:59:14 +0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libosso-gnomevfs2-dev,
  libgnomeui-dev,
  libgnomecanvas2-dev,
- libart-2.0-dev, mono-scratchbox
+ libart-2.0-dev, mono-scratchbox, mono-gmcs
 Standards-Version: 3.8.3
 Homepage: http://www.mono-project.com/GtkSharp
 Vcs-Svn: svn://svn.debian.org/pkg-cli-libs/packages/gnome-sharp2/trunk

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testdir
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 		--prefix=/usr \
-		CSC=/usr/bin/mono-csc
+		CSC=/usr/bin/gmcs
 	touch $@
 
 build-indep: build-indep-stamp
@@ -75,7 +75,7 @@
 	# HACK: we must generate clilibs of arch:all and arch:any here!
 	# else dh_clideps can't catch up inner source package dependencies
 	dh_makeclilibs -m $(API_VERSION)
-#	dh_clideps -i -d
+	dh_clideps -i -d
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
@@ -100,7 +100,7 @@
 	# HACK: we must generate clilibs of arch:all and arch:any here!
 	# else dh_clideps can't catch up inner source package dependencies
 	dh_makeclilibs -m $(API_VERSION)
-#	dh_clideps -a -d
+	dh_clideps -a -d
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a

## gnome-sharp2 2.24.2

=== debian/changelog ===
gnome-sharp2 (2.24.2-4) unstable; urgency=medium

  * Rebuild for CLR 4.5 transition

 -- Jo Shields <directhex@apebox.org>  Tue, 17 Nov 2015 09:53:43 +0000

gnome-sharp2 (2.24.2-3) unstable; urgency=low

  * [b114ece] Cherry-pick patch to initialize dbus-glib for threading.
    Thanks to Mirco Bauer <meebey@meebey.net> (Closes: #700585)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Mar 2013 00:00:06 +0800

gnome-sharp2 (2.24.2-2) unstable; urgency=low

  * [e4737ab] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Tue, 24 Jan 2012 00:41:36 +0000

gnome-sharp2 (2.24.2-1) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Update section to cli-mono, per the archive overrides
  * [da573ba] Drop ltmain-add-as-needed patch; dh-autoreconf can do this now
  * [60fe3e1] Standards-Version → 3.9.2, no changes required

  [ Julian Taylor ]
  * new upstream release
  * [743f580] remove debian/list-examples
  * [7098d1d] Revert "move -dev packages to libdevel section"
    cli-mono has higher priority than libdevel
  * [991a0c9] remove libgnome2.24-cil.clilibs and set dependencies in control instead
  * [fe146eb] remove obsolete MONO_SHARED_DIR setting

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 05 Jun 2011 19:03:38 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

API_VERSION = 2.24.0

%:
	dh $@ --with autoreconf,cli

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- CSC=/usr/bin/mono-csc LDFLAGS="$(LDFLAGS)"

override_dh_makeclilibs:
	dh_makeclilibs -m $(API_VERSION)

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gnome-sharp/([\d\.]+)/gnome-sharp-([\d\.]+)\.tar\.gz debian uupdate
